Bug 502240 - CA cloning : internal database panel keeps spinning.
CA cloning : internal database panel keeps spinning.
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Cloning (Show other bugs)
unspecified
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788 502664
  Show dependency treegraph
 
Reported: 2009-05-22 13:48 EDT by Chandrasekar Kannan
Modified: 2015-01-05 20:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 502664 (view as bug list)
Environment:
Last Closed: 2009-07-22 19:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2009-05-22 13:48:00 EDT
I somehow believe this bug is related to bz 498055. 
But can't tell for sure now. 

Steps to reproduce:

1 - on machine A 
    (a) yum -y install pki-ca
    (b) go through the install wizard and setup a root CA making itself
        the security domain.
    (c) machine has a local directory server thats used as internal database
2 - on machine B
    (a) yum -y install pki-ca
    (b) go through the install wizard and setup a clone CA. joining the
        rootCA{security domain} setup in 1(b).
    (c) machine has a local directory server thats used as internal database

Expected results:
clone setup successful. 

Actual results:
- during clone setup, when we reach the internal database panel, wizard keeps spinning. 


Clone CA debug log has this:
-------------------------------------------------------------------------------
[22/May/2009:10:30:31][http-9445-Processor23]: DatabasePanel setupReplication: Finished enabling replication
[22/May/2009:10:30:31][http-9445-Processor23]: DatabasePanel createReplicationAgreement: dn: cn=masterAgreement1-beast.idm.lab.bos.redhat.com-pki-ca,cn=replica,cn="dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca",cn=mapping tree,cn=config
[22/May/2009:10:30:31][http-9445-Processor23]: About to set description attr to masterAgreement1-beast.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:30:31][http-9445-Processor23]: DatabasePanel createReplicationAgreement: Successfully create replication agreement masterAgreement1-beast.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:30:31][http-9445-Processor23]: DatabasePanel createReplicationAgreement: dn: cn=cloneAgreement1-beast.idm.lab.bos.redhat.com-pki-ca,cn=replica,cn="dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca",cn=mapping tree,cn=config
[22/May/2009:10:30:31][http-9445-Processor23]: About to set description attr to cloneAgreement1-beast.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:30:31][http-9445-Processor23]: DatabasePanel createReplicationAgreement: Successfully create replication agreement cloneAgreement1-beast.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:30:31][http-9445-Processor23]: DatabasePanel initializeConsumer: initializeConsumer dn: cn=masterAgreement1-beast.idm.lab.bos.redhat.com-pki-ca,cn=replica,cn="dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca",cn=mapping tree,cn=config
[22/May/2009:10:30:31][http-9445-Processor23]: DatabasePanel initializeConsumer: initializeConsumer host: qe-blade-06.idm.lab.bos.redhat.com port: 389
[22/May/2009:10:30:31][http-9445-Processor23]: DatabasePanel initializeConsumer: start modifying
[22/May/2009:10:30:32][http-9445-Processor23]: DatabasePanel initializeConsumer: Finish modification.
[22/May/2009:10:30:32][http-9445-Processor23]: DatabasePanel initializeConsumer: thread sleeping for 5 seconds.
[22/May/2009:10:30:37][http-9445-Processor23]: DatabasePanel initializeConsumer: finish sleeping.
[22/May/2009:10:30:37][http-9445-Processor23]: DatabasePanel initializeConsumer: Successfully initialize consumer
[22/May/2009:10:30:37][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:30:37][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:30:42][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:30:42][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:30:47][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:30:47][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:30:52][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:30:52][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:30:57][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:30:57][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:31:02][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:31:02][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:31:07][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:31:07][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:31:12][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:31:12][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:31:17][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:31:17][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:31:22][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:31:22][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:31:27][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:31:27][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!
[22/May/2009:10:31:32][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries checking ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca
[22/May/2009:10:31:32][http-9445-Processor23]: DatabasePanel comparetAndWaitEntries ou=people,dc=qe-blade-06.idm.lab.bos.redhat.com-pki-ca not found, let's wait!

-------------------------------------------------------------------------------
Comment 1 Chandrasekar Kannan 2009-05-22 20:30:36 EDT
Workaround proposed by Ade : on the clone internal database panel, use FQDN for hostname instead of 'localhost' that comes up as default. Everything works after that.
Comment 3 Ade Lee 2009-05-28 22:11:15 EDT
patch in 502257 contains fix to add the words "Enter FQDN here" instead of localhost when a clone is created.

This may ultimately be the best solution, really.

Will leave this open for now.
Comment 4 Kashyap Chamarthy 2009-06-21 14:36:21 EDT
yeah, entering FQDN has taken me to the next panel in the cloned instance. and the clone was setup sucessfully.
Comment 6 Andrew Ross 2009-11-09 18:19:00 EST
Bug fixed before release.

comments removed from known issues in rev 19987, on July 20.

Closing.

Note You need to log in before you can comment on or make changes to this bug.